Random123-1.09: Random123/features/sse.h File Reference

- Random123-1.09 Documentation

Classes | Functions

# Random123/features/sse.h File Reference

`#include <iostream>`
`#include <limits>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes
struct | r123m128i
## Functions
static int | haveAESNI ()
static uint64_t | _mm_extract_lo64 (__m128i si)
static r123m128i & | operator++ (r123m128i &v)
static r123m128i & | operator+= (r123m128i &lhs, uint64_t n)
static bool | operator<= (uint64_t, const r123m128i &)
static bool | operator< (const r123m128i &, const r123m128i &)
static bool | operator<= (const r123m128i &, const r123m128i &)
static bool | operator> (const r123m128i &, const r123m128i &)
static bool | operator>= (const r123m128i &, const r123m128i &)
static bool | operator== (const r123m128i &lhs, const r123m128i &rhs)
static bool | operator!= (const r123m128i &lhs, const r123m128i &rhs)
static bool | operator== (uint64_t lhs, const r123m128i &rhs)
static bool | operator!= (uint64_t lhs, const r123m128i &rhs)
static std::ostream & | operator<< (std::ostream &os, const r123m128i &m)
static std::istream & | operator>> (std::istream &is, r123m128i &m)
template<typename T >
T | assemble_from_u32 (uint32_t *p32)
template<>
r123m128i | assemble_from_u32< r123m128i > (uint32_t *p32)

## Function Documentation

static uint64_t _mm_extract_lo64 | ( | __m128i | si | ) | `[inline, static]`

template<typename T >

T assemble_from_u32 | ( | uint32_t * | p32 | ) | `[inline]`

template<>

r123m128i assemble_from_u32< r123m128i > | ( | uint32_t * | p32 | ) | `[inline]`

static int haveAESNI | ( |  | ) | `[inline, static]`

static bool operator!= | ( | const r123m128i & | lhs,
|  | const r123m128i & | rhs |
| ) |  |  | `[inline, static]`

static bool operator!= | ( | uint64_t | lhs,
|  | const r123m128i & | rhs |
| ) |  |  | `[inline, static]`

static r123m128i& operator++ | ( | r123m128i & | v | ) | `[inline, static]`

static r123m128i& operator+= | ( | r123m128i & | lhs,
|  | uint64_t | n |
| ) |  |  | `[inline, static]`

static bool operator< | ( | const r123m128i & | ,
|  | const r123m128i & |  |
| ) |  |  | `[inline, static]`

static std::ostream& operator<< | ( | std::ostream & | os,
|  | const r123m128i & | m |
| ) |  |  | `[inline, static]`

static bool operator<= | ( | const r123m128i & | ,
|  | const r123m128i & |  |
| ) |  |  | `[inline, static]`

static bool operator<= | ( | uint64_t | ,
|  | const r123m128i & |  |
| ) |  |  | `[inline, static]`

static bool operator== | ( | const r123m128i & | lhs,
|  | const r123m128i & | rhs |
| ) |  |  | `[inline, static]`

static bool operator== | ( | uint64_t | lhs,
|  | const r123m128i & | rhs |
| ) |  |  | `[inline, static]`

static bool operator> | ( | const r123m128i & | ,
|  | const r123m128i & |  |
| ) |  |  | `[inline, static]`

static bool operator>= | ( | const r123m128i & | ,
|  | const r123m128i & |  |
| ) |  |  | `[inline, static]`

static std::istream& operator>> | ( | std::istream & | is,
|  | r123m128i & | m |
| ) |  |  | `[inline, static]`

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines